<?php
/**
 * ヘルパークラス
 * @copyright   Copyright (C) 2011 MicroEngine Inc.
 */
class h
{

    /**
     * VIEWファイルをインクルードする
     * @param string $view_file_path viewディレクトリからのパス
     * @param array $data 展開する変数の配列。compactで渡すことを想定
     * @param array $more_data 展開する変数の配列。配列で渡すことを想定。
     */
    static public function render($view_file_path, $data = array(), $more_data = array())
    {
        // $data内の変数を展開する
        extract($data);
        extract($more_data);
        // VIEWファイルをインクルードする
        include('views' . $view_file_path);
    }

    /**
     * html escapeしたうえで文字列を出力する
     * @param string $str 出力する文字列
     */
    static public function p($str)
    {
        echo Me_Util::html_escape($str);
    }

    /**
     * html escapeしたうえで、改行をbrタグに変換して出力する
     * @param string $str 出力する文字列
     */
    static public function nl($str)
    {
        echo Me_Util::nl2br_escape($str);
    }

    /**
     * 文字列をそのまま出力する
     * @param string $str 出力する文字列
     */
    static public function no_escape($str)
    {
        echo $str;
    }

    /**
     * エラーメッセージを表示する
     * @param string $str 出力する文字列
     */
    static public function error($str)
    {
        if (strlen($str) > 0) {
            echo '<div id="error_message" class="alert alert-error">' . Me_Util::html_escape($str) . '</div>';
        }
    }

    /**
     * flashメッセージを表示する
     * @param string $str 出力する文字列
     */
    static public function flash($str)
    {
        if (strlen($str) > 0) {
            echo '<div class="alert alert-success flash_message"><a class="close" data-dismiss="alert" href="#">×</a>'
            . Me_Util::html_escape($str) . '</div>';
        }
    }

    /**
     * 変数をdumpする
     * @param mixed $var dumpする変数
     */
    static public function dump($var)
    {
        var_dump($var);
    }

    /**
     * tokenを出力する
     */
    static public function get_token()
    {
        echo Me_Util::get_token();
    }

    /**
     * 日付フォーマット
     * 日付データを『YYYY年MM月DD日』形式に整形して出力する
     * @param int $date UNIXタイムスタンプ
     * @return string
     */
    static public function date_medium($date)
    {
        if (!is_numeric($date)) {
            return;
        }
        echo date('Y年m月d日', $date);
    }

    /**
     * 日時フォーマット
     * 日付データを『Y/m/d H:i:s』形式に整形して出力する
     * @param int $date UNIXタイムスタンプ
     * @return string
     */
    static public function date_time($date)
    {
        if (!is_numeric($date)) {
            return;
        }
        echo date('Y/m/d H:i:s', $date);
    }

    /**
     * チェックボックスのcecked制御
     * @param string $data_value
     * @param string $elem_value
     */
    static public function checkbox($data_value, $elem_value)
    {
        // 空文字の場合はobjectのプロパティがnullでも一致させる。
        if ($data_value == $elem_value || ($elem_value === '' && $data_value === null )) {
            echo ' checked="checked" ';
        }
    }

    /**
     * ラジオボタンのcecked制御
     * @param string $data_value
     * @param string $elem_value
     */
    static public function radio($data_value, $elem_value)
    {
        // 空文字の場合はobjectのプロパティがnullでも一致させる。
        if ($data_value == $elem_value || ($elem_value === '' && $data_value === null )) {
            echo ' checked="checked" ';
        }
    }

    /**
     * セレクトボックスのselected制御
     * @param string $data_value
     * @param string $elem_value
     */
    static public function select($data_value, $elem_value)
    {
        // 空文字の場合はobjectのプロパティがnullでも一致させる。
        if ($data_value == $elem_value || ($elem_value === '' && $data_value === null )) {
            echo ' selected="selected" ';
        }
    }
}