<!DOCTYPE html>
<html lang="ja">
<head>
<?php h::render('/Common/head.php') ?>
<title><?php h::p($page_title) ?> - MicroEngine</title>
<link href="../../app/assets/css/smoothness/jquery-ui-1.8.23.custom.css" rel="stylesheet">
<script src="../../app/assets/js/i18n/jquery.ui.datepicker-ja.js"></script>
<script src="../../app/assets/js/nicEdit.js"></script>
<script src="../../app/assets/js/me.page.js?v=<?php h::p(SCRIPT_VERSION) ?>"></script>
<script>
<!--
$(document).ready(function(){
    me.form.init();
    me.page.init();
    me.resize.resizeBox('edit_iframe');
    $(window).bind('resize', function(){
        me.resize.resizeBox('edit_iframe');
    });
});
//-->
</script>
<script>
<!--
<?php if ($xhtml): ?>
me.page.xhtml = true;
<?php endif; ?>
<?php if ($rich_editor_button): ?>
me.page.rich_editor_button = <?php h::no_escape($rich_editor_button) ?>;
<?php endif; ?>
//-->
</script>
</head>
<body>
<?php h::error($form->errors["MESSAGE"]) ?>
<div class="navbar">
<div class="navbar-inner header">
<span class="brand <?php h::p($page_title_class) ?>"><?php h::p($page_title) ?></span>
<ul class="nav">
<li>
<button id="open_page_setting" type="button" class="btn btn-small" onclick="me.page.openPageSetting();"><i class="icon-chevron-down"></i> 設定を開く</button>
<button id="close_page_setting" type="button" class="btn btn-small" onclick="me.page.closePageSetting();"><i class="icon-chevron-up"></i> 設定を閉じる</button>
</li>
</ul>
<ul class="nav pull-right">
<li><a href="<?php h::p(MANUAL_BASE_URL) ?>page_edit.html" target="_blank"><i class="icon-question-sign"></i> ヘルプ</a></li>
</ul>
</div>
</div>
<form id="page_edit_form" method="POST" action="../Page/post" onsubmit="me.form.noUnload();">
<table class="table setting_table page_setting_table">
<tr>
<th class="span2">ページパス</th>
<td>
<span><?php h::p($form->directory) ?></span><input type="text" id="file_name" name="file_name" value="<?php h::p($form->file_name) ?>"><span><?php h::p($form->extension) ?></span>
<div id="file_name_message"><?php h::p( $form->errors['file_name']) ?></div>
</td>
<th>タイトル</th>
<td class="small"><input type="text" id="title" name="title" class="input-xlarge" value="<?php h::p($form->title) ?>">
<?php h::error( $form->errors["title"]) ?>
</td>
</tr>
<tr id="public_flag_row" class="page_setting">
<th>公開設定</th>
<td colspan="3">
<label class="radio"><input type="radio" id="public_flag_true" name="public_flag" value="1" <?php h::radio($form->public_flag, '1') ?> >公開</label>
<label class="radio"><input type="radio" id="public_flag_false" name="public_flag" value="0" <?php h::radio($form->public_flag, '0') ?> >非公開</label>
<?php h::error( $form->errors["public_flag"]) ?>
</td>
</tr>
<tr class="page_setting">
<th>キーワード</th>
<td colspan="3" class="small"><input type="text" id="keywords" name="keywords" class="input-xxlarge" value="<?php h::p($form->keywords) ?>">
<?php h::error( $form->errors["keywords"]) ?>
</td>
</tr>
<tr class="page_setting">
<th>説明</th>
<td colspan="3" class="small"><input type="text" id="description" name="description" class="input-xxlarge" value="<?php h::p($form->description) ?>">
<?php h::error( $form->errors["description"]) ?>
</td>
</tr>
<tr class="page_setting">
<th>ページID</th>
<td><?php h::p($form->_id) ?></td>
<th>備考</th>
<td class="small"><input type="text" id="note" name="note" value="<?php h::p($form->note) ?>">
<?php h::error( $form->errors["note"]) ?>
</td>
</tr>
<tr class="page_setting">
<th>操作</th>
<td colspan="3">
<?php if ($form->draft_edit): ?>
<a href="#modal_delete" role="button" class="btn btn-small btn-danger" data-toggle="modal">下書き削除</a> 
<div class="modal hide fade" id="modal_delete" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
<div class="modal-header">
<button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
<h3 id="myModalLabel">下書き削除確認</h3>
</div>
<div class="modal-body">
<p>下書きを削除しますか？</p>
</div>
<div class="modal-footer">
<button class="btn" data-dismiss="modal" aria-hidden="true">キャンセル</button>
<button class="btn btn-danger" onclick="me.page.deleteDraft();return false;">削除する</button>
</div>
</div>
<?php elseif ($form->_id): ?>
<a href="#modal_delete" role="button" class="btn btn-small btn-danger" data-toggle="modal">ページ削除</a> 
<div class="modal hide fade" id="modal_delete" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
<div class="modal-header">
<button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
<h3 id="myModalLabel">ページ削除確認</h3>
</div>
<div class="modal-body">
<p>ページを削除しますか？</p>
</div>
<div class="modal-footer">
<button class="btn" data-dismiss="modal" aria-hidden="true">キャンセル</button>
<button class="btn btn-danger" onclick="me.page.deletePage();return false;">削除する</button>
</div>
</div>
<?php endif; ?>
</td>
</tr>
</table>

<div id="edit_iframe_box">
<iframe id="edit_iframe" name="edit_iframe" class="edit_iframe" src="../Page/edit_iframe?_form_id=<?php h::p($_form_id) ?>" onload="me.page.checkIframe();"></iframe>
</div>

<div class="footer_action footer_iframe_below">
<div class="container">
<div id="page_action" class="page_action offset2">
<input type="button" id="back_link" name="cancel" class="btn" value="キャンセル" onclick="location.href='<?php h::p($back_link) ?>?path=<?php h::p($path) ?>';return false;">
<input type="button" name="preview" class="btn btn-info" value="プレビュー" onclick="me.page.preview();return false;">
<input type="button" name="save_draft" class="btn btn-warning" value="下書き保存" onclick="me.page.save_draft();">
<input type="button" name="register" class="btn btn-primary" value="登録" onclick="me.page.submit();">
<textarea id="comment" name="comment" class="footer_comment" placeholder="コメント"><?php h::p($form->comment) ?></textarea>
<?php h::error( $form->errors["comment"]) ?>
</div>
</div>
</div>

<input type="hidden" id="save" name="save" value="page">
<input type="hidden" id="_id" name="page_id" value="<?php h::p($form->_id) ?>">
<input type="hidden" id="_form_id" name="_form_id" value="<?php h::p($_form_id) ?>">
<input type="hidden" id="_token" name="_token" value="<?php h::get_token() ?>">
</form>
</body>
</html>